Bug 210759 - /usr/bin/kwalletmanager hangs on login and does not dock in panel
/usr/bin/kwalletmanager hangs on login and does not dock in panel
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kdeutils (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-14 08:12 EDT by David W. Legg
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: FC5-update
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-10 05:49:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David W. Legg 2006-10-14 08:12:08 EDT
Description of problem:
kwalletmanager starts a process on login, but does not manage to dock in the kde
panel any more.  This is something that has broken during the course of FC5.

Version-Release number of selected component (if applicable):
kdeutils-3.5.4-0.1.fc5

How reproducible:
100%

Steps to Reproduce:
1. Login to KDE.
2. If there is a kwalletmanager process, kill it.
3. Run kwalletmanager from a shell
4. kwalletmanager now docks in panel and works happily.
  
Actual results:
When I login, the kwalletmanager process is running, but the icon is not visible
in the panel as it used to be with earlier FC5 versions.

Expected results:
kwalletmanager should appear in panel on login, without havign to kill and
re-start it.

Additional info:
After logging in, ps -elf | grep wallet produces:
1 S daddy     8618     1  0  75   0 - 30990 -      11:56 ?        00:00:00
kwalletmanager -session 10d6e4d8e7000116041821400000043510005_1160770334_820553
Comment 1 Ngo Than 2006-11-10 05:49:58 EST
it's fixed in KDE-3.5.5. You should please update new version from FC5-update. 
Thanks for your report.

Note You need to log in before you can comment on or make changes to this bug.